function isDropdown(dropdowns, id)
{
  let baseId = id.replace(".WebHome", "");
  for (let i = 0 ; i < dropdowns.length ; i++)
  {
    let baseDropdownId = dropdowns[i].id.replace(".WebHome", "");
    if (baseId.indexOf(baseDropdownId) != -1)
    {
      return dropdowns[i];
    }
  }
  return null;
}

function getParentDropdown(dropdowns, doc, name, inputIdPrefix)
{
  let dropdown = isDropdown(dropdowns, name);
  if(dropdown == null && doc.parent)
  {
    getParentDropdown(dropdowns, doc.parent, doc.parent.name + "." + name, inputIdPrefix);
  }
  else if (doc.parent)
  {
    input = document.getElementById(inputIdPrefix + dropdown.id);
    input.checked = true;
  }
}

function redirect(url)
{
  window.location.href = url;
}

function redirectwiki(url, srcWiki, destWiki)
{
  window.location.href = url.replace(srcWiki, destWiki);
}

require(['xwiki-meta'], function(xm) {
  var dropdowns = document.getElementsByClassName("DDdropdown");
  var items = document.getElementsByClassName("DDitem");
  docRef = xm.documentReference;
  getParentDropdown(dropdowns, docRef, docRef.name, "input");
  getParentDropdown(items, docRef, docRef.name, "subinput");
  initWikiCombo(docRef);
});

function init()
{
  editLogoURL();
}

function initWikiCombo(docRef)
{
  wikiName = docRef.getRoot().name;
  wikiCombo = document.getElementById("wikiCombo");
  if (wikiName == "dev")
  {
    opt = document.createElement("option");
    opt.value = "dev";
    opt.innerHTML = "dev";
    wikiCombo.prepend(opt);
  }
  document.getElementById("wikiCombo").value = docRef.getRoot().name;
}

function editLogoURL()
{
  var logo = document.getElementById("companylogo");
  if (logo)
  {
      var logoHref = logo.getElementsByClassName("navbar-brand")[0] || null;
      if (logoHref)
      {
          logoHref.href = "/";
      }
  }
}

if(window.addEventListener){
  window.addEventListener('load', init)
}else{
  window.attachEvent('onload', init)
}

